var util = require('../../../util/util.js');
import request from '../../../util/http'
import stewardUrl from '../../../util/stewardUrl'
var app = getApp();
Page({
  data: {
    userInfo:{

    },
    notice: '',
    isFinished: true,
    relationOther: {},
    hasBind: false,//是否有关联单据
    activeIndex: 0,
    taskTypeName: '',
    taskLogs: [],
    totalTaskLogs: [],
    isUnfold: true,
    ticket: {},
    userCustomer: {},
    userServant: {},
    relation: {},
    failIndex: 0,
    iconSuccess: '',
    size: 0,
    noticeType: {
      // //拜访
      // "-1": "首次拜访",
      // "-2": "周期拜访",
      // "-3": "月度拜访",

      //通知类型
      5: "保姆任务未完成",
      6: "保姆考勤问题",
      7: "保姆服务质量质疑",
      8: "保姆服务记录差评",
      11: "管家服务质量质疑-拜访类",
      12: "雇主反馈其他问题",
      13: "保姆反馈其他问题",
      14: "管家服务质量质疑-跟进类",
    },
    items2: [{
      title: '步骤4',
      description: '这是步骤1的描述文档，文字足够多的时候会换行，设置了成功的icon',
      size: 14
      // activeIcon: '/image/icon-yes.png',

    }, {
      title: '步骤3 如果标题足够长的话也会换行的',
      description: '这是步骤2，同时设置了两种状态的icon',
      size: 8
    }, {
      title: '步骤2',
      description: '这是步骤3',
      size: 8
    }, {
      title: '步骤1',
      size: 8
    }],


  },

  onLoad() {
     this.setData({
       userInfo:app.globalData.userInfo
     });
     console.log(this.data.userInfo);
  },
  onShow() {
    this.getNoticeInfo();
  },
  getNoticeInfo() {
    let params = {
      noticeId: app.globalData.noticeId,
      userId: app.globalData.userInfo.id,
      type: app.globalData.noticeType
    };
    request.httpServiceGet(stewardUrl.getNoticeInfoPath, params).then(data => {
      console.log(data);
      this.setData({
        notice: data.notice,
        taskTypeName: data.notice.content,
        taskLogs: data.noticeuserList,
        totalTaskLogs: data.noticeuserList,
        activeIndex: data.noticeuserList.length,
        ticket: data.ticket,
        isFinished: data.ticket.status == 2 ? true : false,
        relationOther: data.relationOther,
        hasBind: data.relationOther.relationOtherName == '' ? false : true,
        userCustomer: data.userCustomer,
        userServant: data.userServant


      })
    });
  },
  goVisitRecord() {
    // 上门拜访打卡
    app.globalData.visitRecordType = '2';
    app.globalData.employRelationId = this.data.notice.employRelationId;
    my.navigateTo({
      url: '../visitRecord/visitRecord'
    });
  },
  goServantService() {
    app.globalData.noticeId = this.data.notice.id;
    app.globalData.employClockId = this.data.notice.rId;
    my.navigateTo({
      url: '../servantServiceEdit/servantServiceEdit'
    });
  },
  toggleDetail() {
    if (this.data.isUnfold) {
      let newTaskLogs = this.data.totalTaskLogs.slice(0, 3);
      console.log(newTaskLogs);
      this.setData({
        taskLogs: newTaskLogs
      })

    } else {
      this.setData({
        taskLogs: this.data.totalTaskLogs
      })
    }
    this.setData({
      isUnfold: !this.data.isUnfold
    })
  },
  editDate() {
    my.datePicker({
      format: 'yyyy-MM-dd',
      currentDate: new Date(),
      startDate: '2020-01-01',
      endDate: '2030-12-31',
      success: (res) => {
        this.setData({
          date: res.date
        });
      },
    });
  },
  goBindInfo() {
    let type = this.data.relationOther.relationOtherType;

    if (type == '1') {
      //保姆服务记录
      app.globalData.employClockId = this.data.relationOther.relationOtherId;;
      my.navigateTo({
        url: '../servantServiceDetail/servantServiceDetail'
      });
    }
    if (type == '2') {
      // 拜访类任务
      app.globalData.visitTaskId = this.data.relationOther.relationOtherId;
      my.navigateTo({
        url: '../taskDetail/taskDetail'
      });
    }
    if (type == '3') {
      //跟进类工单
      app.globalData.noticeId = this.data.relationOther.relationOtherId;;
      my.navigateTo({
        url: '../followTaskDetail/followTaskDetail'
      });
    }


  },
  createNewTask() {
    let newTask = {
      employRelationId: this.data.notice.employRelationId,
      rid: this.data.notice.id,
      ticketId: this.data.ticket.id,
      taskType: 3 //1打卡任务类 2（管家服务资料质疑-拜访类）；3工单（雇主反馈，保姆反馈其他问题）
    }
    app.globalData.newTask = newTask;
    my.navigateTo({
      url: '../createTask/createTask'
    });
  },
  goFollowRecord() {
    let followRecord = {
      ticketId: this.data.ticket.id,
      customerPhone: this.data.userCustomer.phone,
      servantPhone: this.data.userServant.phone
    }
    app.globalData.followRecord = followRecord;
    my.navigateTo({
      url: '../followRecord/followRecord'
    });
  },
  goUpgradeTicket() {
    app.globalData.upgradeTicketId = this.data.ticket.id;
    my.navigateTo({
      url: '../taskFlow/taskFlow'
    });


  },
  completeTask() {
    app.globalData.completedTicketId = this.data.ticket.id;
    my.navigateTo({
      url: '../completeTask/completeTask'
    });
  }



});
